Subject: 29.0.50; Eager macroexpansion failure in corner case

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Jan 2022 14:45:29 -0500

Package: Emacs
Version: 29.0.50

    % make (with native compiler)
    [...]
    % touch lisp/emacs-lisp/{cl-macs,byte-opt,comp}.el
    % make -j4
    [...]
    Warning: Eager macro-expansion skipped due to cycle:
      … => (load "byte-opt.el") => (macroexpand-all (defalias 'byte-decompile-bytecode-1 …)) => (macroexpand (cl-symbol-macrolet …)) => (load "comp.el") => (macroexpand (eval-when-compile …)) => (load "byte-opt.el")
    [...]

I haven't yet managed to turn this eager-macroexpansion cycle warning
into an actual error, but it'd be good to get rid of this
cyclic dependency.

I'm not sure how we go from (macroexpand (cl-symbol-macrolet …)) to
loading `comp.el` but I suspect that's where the problem lies.

        Stefan